﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
using WSRestHotelDemo;

namespace WSRestHotelDemoConsole
{
    class Program
    {
        static void Main(string[] args)
        {
             const string ServerUrl = "http://localhost:50001";
            HttpClientHandler handler = new HttpClientHandler();
            handler.UseDefaultCredentials = true;
            using (var client = new HttpClient(handler))
            {
                client.BaseAddress = new Uri(ServerUrl);
                client.DefaultRequestHeaders.Clear();
                client.DefaultRequestHeaders.Accept.Add(new MediaTypeWithQualityHeaderValue("application/json"));

                try
                {
                    Console.WriteLine("api/HotelRooms");
                    var response0 = client.GetAsync("api/HotelRooms").Result;
                    if (response0.IsSuccessStatusCode)
                    {
                        IEnumerable<HotelRoom> hotelRoomList =
                            response0.Content.ReadAsAsync<IEnumerable<HotelRoom>>().Result;
                        foreach (var hotelRoom in hotelRoomList)
                        {
                            Console.WriteLine(hotelRoom);
                        }
                    }
                    Console.WriteLine();
                }
                catch(Exception ex){}}
            }
    }
}
